Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapRange

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapRange

All Implemented Interfaces:
  `Serializable`, `Idable`

public class VoiceCostMapRange extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceCostMapRange.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapRange()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceCostMapRange.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getCostMapId()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateTo()`
  `BigDecimal`
  `getRangeCost()`
  `int`
  `getRangeId()`
  `void`
  `setComment(String comment)`
  `void`
  `setCostMapId(int costMapId)`
  `void`
  `setDateFrom(LocalDate dateFrom)`
  `void`
  `setDateTo(LocalDate dateTo)`
  `void`
  `setRangeCost(BigDecimal rangeCost)`
  `void`
  `setRangeId(int rangeId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### VoiceCostMapRange

    public VoiceCostMapRange()

- ## Method Details

  - ### getRangeId

    public int getRangeId()

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### getDateTo

    public LocalDate getDateTo()

  - ### getCostMapId

    public int getCostMapId()

  - ### getRangeCost

    public BigDecimal getRangeCost()

  - ### getComment

    public String getComment()

  - ### setRangeId

    public void setRangeId(int rangeId)

  - ### setDateFrom

    public void setDateFrom(LocalDate dateFrom)

  - ### setDateTo

    public void setDateTo(LocalDate dateTo)

  - ### setCostMapId

    public void setCostMapId(int costMapId)

  - ### setRangeCost

    public void setRangeCost(BigDecimal rangeCost)

  - ### setComment

    public void setComment(String comment)

  - ### builder

    public static VoiceCostMapRange.Builder builder()